# Class CIM_PreambleFilter
extends CIM_FilterEntryBase

PreambleFilter allows the classification of packets using traffic-conditioning results (where the results are determined by a PreambleMarkerService and stored in a 'packet preamble'). This permits information about the treatment that a packet receives on an ingress interface to be communicated along with the packet to the egress interface. An instance of PreambleFilter selects packets based on a two-part string (type and value pair) identifying a specific entry in the preamble. The logic for this match is 'at least one.' That is, a packet with multiple entries/results in its preamble matches a filter if at least one of these matches the filter.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_FilterEntryBase
|
+--CIM_PreambleFilter

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

PreambleFilter allows the classification of packets using traffic-conditioning results (where the results are determined by a PreambleMarkerService and stored in a 'packet preamble'). This permits information about the treatment that a packet receives on an ingress interface to be communicated along with the packet to the egress interface. An instance of PreambleFilter selects packets based on a two-part string (type and value pair) identifying a specific entry in the preamble. The logic for this match is 'at least one.' That is, a packet with multiple entries/results in its preamble matches a filter if at least one of these matches the filter.

UMLPackagePath | string | CIM::Network::Filtering
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
FilterItemList | string[] |
ArrayType | string | Ordered

Description

string

To foster interoperability, the basic format of the information captured by a PreambleMarker is specified. That information is contained in the FilterItemList property (an ordered, string array). Each entry in the array takes the form 'type,value'. When entries are added, they are appended to the end of the list. A limited set of standardized 'type's exist. They are: - ConformingFromMeter, NonConformingFromMeter and PartConformingFromMeter to convey metering results (where the 'value' is the name of the meter) - VlanId to describe the traffic's VLAN information (where the 'value' is the VLAN ID). An implementation is free to define and use other preamble 'types'. Note that a wildcard value of "any" is allowed to indicate that the preamble entry matches for any 'value' of the specified 'type'. For example, using the wildcard, an administrator can define a filter to select all packets that were found to be conforming ('type' = "ConformingFromMeter") without having to name each meter individually.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_FilterEntryBase
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
IsNegated | boolean | CIM_FilterEntryBase
Name | string | CIM_FilterEntryBase
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_FilterEntryBase
SystemName | string | CIM_FilterEntryBase
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods